package com.bipt.intelligentapplicationorchestrationservice.mapper;

import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelVersion;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ServicePublishDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ServicePublishVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface PublishMapper {



    void insert(ServicePublishDTO servicePublishDTO);

    Long getByApiUrl(String apiUrl);
    @Select("select * from model_version where model_id=#{modelId} and status = 1")
    ModelVersion getById(Long modelId);

    ServicePublishVO getByModelId(Long modelId);
}
